Debian Bug report logs - #490694
linux-image-2.6.25-2-powerpc: OOPS on startup after upgrade 2.6.25-2-powerpc

version graph

Package: linux-2.6; Maintainer for linux-2.6 is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: jeff@kikisoso.org

Date: Sun, 13 Jul 2008 18:00:05 UTC

Severity: normal

Tags: upstream

Merged with 508374

Found in versions linux-2.6/2.6.28-1, linux-2.6/2.6.25-6, linux-2.6/2.6.26-11

Fixed in version 2.6.32-41

Done: Jonathan Nieder <jrnieder@gmail.com>

Bug is archived. No further changes may be made.

Forwarded to http://bugzilla.kernel.org/show_bug.cgi?id=12436

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#490694; Package linux-image-2.6.25-2-powerpc. Full text and rfc822 format available.

Acknowledgement sent to jeff@kikisoso.org:
New Bug report received and forwarded. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jeff Green <jeff@kikisoso.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: linux-image-2.6.25-2-powerpc: OOPS on startup after upgrade 2.6.25-2-powerpc
Date: Sun, 13 Jul 2008 13:56:34 -0400
Package: linux-image-2.6.25-2-powerpc
Version: 2.6.25-6
Severity: grave
Justification: renders package unusable


Here's the OOPS data that I wrote down:

NIP: c013abac   LR: c013af18   CTR: 00000000
REGS: e7841c(e?)50  TRAP: 0200  Not tainted
MSR: 00049030 <EE,ME,IR,DR>  CR: 84000022  XER: 20000000

TASK: e783f4a0[1] 'swapper'  THREAD: e7840000

GPR00: 00000000 e7841d00 e783f4a0 e9040000
       00020000 000005a9 fc646000 fffc0000
GPR08: 00000000 e9040001 e9040000 e785817c
       28000042 00000000 00000000 00000000
GPR16: 00000000 00000000 00000000 00000000
       00000000 0170e500 41400000 00000000
GPR24: 00000000 e78ed000 e785b400 e785b628
       e7841d38 e785b400 e78ed308 e9040000

NIP  [c013abac]
LR   [c013af18]

Call Trace:

[e7841d00]  [c013aef0]  pci_map_rom
[e7841d30]  [c02a01c0]  0xc02a01c0
[e7841e60]  [c0139228]  pci_device
[e7841e80]  [c01d4474]  driver_probe_device
[e7841ea0]  [c01d46b8]  _driver_attach
[e7841ec0]  [c01d35c0]  bus_for_each_dev
[e7841ef0]  [c01d425c]  driver_attach
[e7841f00]  [c01d3fc8]  bus_add_driver
[e7841f20]  [c01d49ac]  driver_register
[e7841f40]  [c0139474]  _pci_register_driver
[e7841f60]  [c02a0f98]  0xc02a0f98
[e7841f80]  [c036b1b8]  kernel_init
[e7841ff0]  [c0013620]  kernel_thread

Instruction dump:

4c800020 7c6a1b78 7c0004ac 880a0000
0c000000 4c00012c 5400063e 392a0001
2f800055 409e00f4 7c0004ac 880a0001
<0c000000> 4c00012c 5400063e 392a0018

end trace 97996e90be8a1237

Kernel Panic - not syncing: Attempt to kill init

.................end of kernel msg.............

I have the numbers written down so if there is a question
regarding one of them, then please inquire and I can check it.
Also, I can reboot and recreate the OOPS. It does it every time.

-- Package-specific info:

-- System Information:
Debian Release: lenny/sid
Architecture: powerpc (ppc)

Kernel: Linux 2.6.24-1-powerpc
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)
Shell: /bin/sh linked to /bin/bash

Versions of packages linux-image-2.6.25-2-powerpc depends on:
ii  debconf [debconf-2.0]         1.5.22     Debian configuration management sy
ii  initramfs-tools [linux-initra 0.92e      tools for generating an initramfs
ii  module-init-tools             3.4-1      tools for managing Linux kernel mo

linux-image-2.6.25-2-powerpc recommends no packages.

-- debconf information:
  shared/kernel-image/really-run-bootloader: true
  linux-image-2.6.25-2-powerpc/preinst/lilo-initrd-2.6.25-2-powerpc: true
  linux-image-2.6.25-2-powerpc/postinst/bootloader-test-error-2.6.25-2-powerpc:
  linux-image-2.6.25-2-powerpc/preinst/abort-install-2.6.25-2-powerpc:
  linux-image-2.6.25-2-powerpc/preinst/elilo-initrd-2.6.25-2-powerpc: true
  linux-image-2.6.25-2-powerpc/preinst/lilo-has-ramdisk:
  linux-image-2.6.25-2-powerpc/preinst/initrd-2.6.25-2-powerpc:
  linux-image-2.6.25-2-powerpc/postinst/old-system-map-link-2.6.25-2-powerpc: true
  linux-image-2.6.25-2-powerpc/preinst/overwriting-modules-2.6.25-2-powerpc: true
  linux-image-2.6.25-2-powerpc/postinst/depmod-error-initrd-2.6.25-2-powerpc: false
  linux-image-2.6.25-2-powerpc/preinst/bootloader-initrd-2.6.25-2-powerpc: true
  linux-image-2.6.25-2-powerpc/postinst/kimage-is-a-directory:
  linux-image-2.6.25-2-powerpc/postinst/depmod-error-2.6.25-2-powerpc: false
  linux-image-2.6.25-2-powerpc/postinst/bootloader-error-2.6.25-2-powerpc:
  linux-image-2.6.25-2-powerpc/preinst/abort-overwrite-2.6.25-2-powerpc:
  linux-image-2.6.25-2-powerpc/postinst/old-dir-initrd-link-2.6.25-2-powerpc: true
  linux-image-2.6.25-2-powerpc/prerm/would-invalidate-boot-loader-2.6.25-2-powerpc: true
  linux-image-2.6.25-2-powerpc/postinst/create-kimage-link-2.6.25-2-powerpc: true
  linux-image-2.6.25-2-powerpc/preinst/failed-to-move-modules-2.6.25-2-powerpc:
  linux-image-2.6.25-2-powerpc/prerm/removing-running-kernel-2.6.25-2-powerpc: true
  linux-image-2.6.25-2-powerpc/postinst/old-initrd-link-2.6.25-2-powerpc: true




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#490694; Package linux-image-2.6.25-2-powerpc. Full text and rfc822 format available.

Acknowledgement sent to maximilian attems <max@stro.at>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 490694@bugs.debian.org (full text, mbox):

From: maximilian attems <max@stro.at>
To: jeff@kikisoso.org, 490694@bugs.debian.org
Subject: Re: Bug#490694: linux-image-2.6.25-2-powerpc: OOPS on startup after upgrade 2.6.25-2-powerpc
Date: Sun, 13 Jul 2008 20:33:58 +0200
On Sun, Jul 13, 2008 at 01:56:34PM -0400, Jeff Green wrote:
> Package: linux-image-2.6.25-2-powerpc
> Version: 2.6.25-6
> Severity: grave
> Justification: renders package unusable
> 
> 
> Here's the OOPS data that I wrote down:
> 
> NIP: c013abac   LR: c013af18   CTR: 00000000
> REGS: e7841c(e?)50  TRAP: 0200  Not tainted
> MSR: 00049030 <EE,ME,IR,DR>  CR: 84000022  XER: 20000000
> 
> TASK: e783f4a0[1] 'swapper'  THREAD: e7840000
> 
> GPR00: 00000000 e7841d00 e783f4a0 e9040000
>        00020000 000005a9 fc646000 fffc0000
> GPR08: 00000000 e9040001 e9040000 e785817c
>        28000042 00000000 00000000 00000000
> GPR16: 00000000 00000000 00000000 00000000
>        00000000 0170e500 41400000 00000000
> GPR24: 00000000 e78ed000 e785b400 e785b628
>        e7841d38 e785b400 e78ed308 e9040000
> 
> NIP  [c013abac]
> LR   [c013af18]
> 
> Call Trace:
> 
> [e7841d00]  [c013aef0]  pci_map_rom
> [e7841d30]  [c02a01c0]  0xc02a01c0
> [e7841e60]  [c0139228]  pci_device
> [e7841e80]  [c01d4474]  driver_probe_device
> [e7841ea0]  [c01d46b8]  _driver_attach
> [e7841ec0]  [c01d35c0]  bus_for_each_dev
> [e7841ef0]  [c01d425c]  driver_attach
> [e7841f00]  [c01d3fc8]  bus_add_driver
> [e7841f20]  [c01d49ac]  driver_register
> [e7841f40]  [c0139474]  _pci_register_driver
> [e7841f60]  [c02a0f98]  0xc02a0f98
> [e7841f80]  [c036b1b8]  kernel_init
> [e7841ff0]  [c0013620]  kernel_thread

can you please try out 2.6.26-rc9 it has pci fixes,
see trunk apt lines
-> http://wiki.debian.org/DebianKernel

kind regards

-- 
maks




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#490694; Package linux-image-2.6.25-2-powerpc. Full text and rfc822 format available.

Acknowledgement sent to Bastian Blank <waldi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #15 received at 490694@bugs.debian.org (full text, mbox):

From: Bastian Blank <waldi@debian.org>
To: jeff@kikisoso.org, 490694@bugs.debian.org
Subject: Re: Bug#490694: linux-image-2.6.25-2-powerpc: OOPS on startup after upgrade 2.6.25-2-powerpc
Date: Sun, 13 Jul 2008 20:35:21 +0200
severity 490694 important
thanks

On Sun, Jul 13, 2008 at 01:56:34PM -0400, Jeff Green wrote:
> Severity: grave
> Justification: renders package unusable

You forgot the magic words "for everyone". As this is unlikely, this
severity is overstated.

> NIP: c013abac   LR: c013af18   CTR: 00000000

c013abac is pci_get_rom_size. c013af18 is pci_map_rom.

> I have the numbers written down so if there is a question
> regarding one of them, then please inquire and I can check it.
> Also, I can reboot and recreate the OOPS. It does it every time.

Can you please check that with 2.6.26-rcX? The release of 2.6.26 is
immanent and we don't intent to fix things on the 2.6.25 kernel. See
http://wiki.debian.org/DebianKernel for furthe informations.

Bastian

-- 
Most legends have their basis in facts.
		-- Kirk, "And The Children Shall Lead", stardate 5029.5




Severity set to `important' from `grave' Request was from maximilian attems <maks@debian.org> to control@bugs.debian.org. (Sun, 13 Jul 2008 18:36:04 GMT) Full text and rfc822 format available.

Severity set to `important' from `important' Request was from Bastian Blank <waldi@debian.org> to control@bugs.debian.org. (Sun, 13 Jul 2008 18:36:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#490694; Package linux-image-2.6.25-2-powerpc. Full text and rfc822 format available.

Acknowledgement sent to "Jeffrey B. Green" <jeff@kikisoso.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #24 received at 490694@bugs.debian.org (full text, mbox):

From: "Jeffrey B. Green" <jeff@kikisoso.org>
To: maximilian attems <max@stro.at>
Cc: 490694@bugs.debian.org
Subject: Re: Bug#490694: linux-image-2.6.25-2-powerpc: OOPS on startup after upgrade 2.6.25-2-powerpc
Date: Mon, 14 Jul 2008 09:42:48 -0400

maximilian attems wrote:
> On Sun, Jul 13, 2008 at 01:56:34PM -0400, Jeff Green wrote:
>   
>> Package: linux-image-2.6.25-2-powerpc
>> Version: 2.6.25-6
>> ... snip ...
>>     
>
> can you please try out 2.6.26-rc9 it has pci fixes,
> see trunk apt lines
> -> http://wiki.debian.org/DebianKernel
>
>   
No cigar, I got an OOPS with that build too. Let me know what info from 
that OOPS that you want. It is quicker to reboot two times than it is to 
copy the complete info.

-jeff




Bug reassigned from package `linux-image-2.6.25-2-powerpc' to `linux-2.6'. Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. (Sun, 14 Sep 2008 07:34:13 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#490694; Package linux-2.6. (Sun, 14 Dec 2008 13:03:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Moritz Muehlenhoff <jmm@inutil.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 14 Dec 2008 13:03:02 GMT) Full text and rfc822 format available.

Message #31 received at 490694@bugs.debian.org (full text, mbox):

From: Moritz Muehlenhoff <jmm@inutil.org>
To: "Jeffrey B. Green" <jeff@kikisoso.org>
Cc: 490694@bugs.debian.org
Subject: Re: Bug#490694: linux-image-2.6.25-2-powerpc: OOPS on startup after upgrade 2.6.25-2-powerpc
Date: Sun, 14 Dec 2008 13:57:55 +0100
Jeffrey B. Green wrote:

> No cigar, I got an OOPS with that build too. Let me know what info from  
> that OOPS that you want. It is quicker to reboot two times than it is to  
> copy the complete info.

Could you try to reproduce this with a current 2.6.28-rcX release
from kernel.org? You can find the .config file from the current Debian
kernels under /boot

If the problem still persists, could you file a bug at
bugzilla.kernel.org?

Cheers,
        Moritz




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#490694; Package linux-2.6. (Sun, 14 Dec 2008 15:09:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Jeffrey B. Green" <jeff@kikisoso.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 14 Dec 2008 15:09:02 GMT) Full text and rfc822 format available.

Message #36 received at 490694@bugs.debian.org (full text, mbox):

From: "Jeffrey B. Green" <jeff@kikisoso.org>
To: Moritz Muehlenhoff <jmm@inutil.org>
Cc: 490694@bugs.debian.org
Subject: Re: Bug#490694: linux-image-2.6.25-2-powerpc: OOPS on startup after upgrade 2.6.25-2-powerpc
Date: Sun, 14 Dec 2008 10:06:34 -0500
Moritz,

2.6.26 also doesn't boot and I've filed a bug there too, see 508374,
probably the same problem. Since Debian is going with 2.6.26 for lenny,
it may be better to solve it there. But in any case...

It's looking like I won't have the time to do a kernel build before the
new year. I'm going out of town in a few hours and many other things to
do and will not be back to this machine before the new year.

-jeff


Moritz Muehlenhoff wrote:
> Jeffrey B. Green wrote:
>
>   
>> No cigar, I got an OOPS with that build too. Let me know what info from  
>> that OOPS that you want. It is quicker to reboot two times than it is to  
>> copy the complete info.
>>     
>
> Could you try to reproduce this with a current 2.6.28-rcX release
> from kernel.org? You can find the .config file from the current Debian
> kernels under /boot
>
> If the problem still persists, could you file a bug at
> bugzilla.kernel.org?
>
> Cheers,
>         Moritz
>
>   




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#490694; Package linux-2.6. (Tue, 13 Jan 2009 14:00:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Jeffrey B. Green" <jeff@kikisoso.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 13 Jan 2009 14:00:02 GMT) Full text and rfc822 format available.

Message #41 received at 490694@bugs.debian.org (full text, mbox):

From: "Jeffrey B. Green" <jeff@kikisoso.org>
To: Moritz Muehlenhoff <jmm@inutil.org>
Cc: 490694@bugs.debian.org
Subject: Re: Bug#490694: linux-image-2.6.25-2-powerpc: OOPS on startup after upgrade 2.6.25-2-powerpc
Date: Tue, 13 Jan 2009 08:57:20 -0500

Moritz Muehlenhoff wrote:
> Jeffrey B. Green wrote:
>
>   
>> No cigar, I got an OOPS with that build too. Let me know what info from  
>> that OOPS that you want. It is quicker to reboot two times than it is to  
>> copy the complete info.
>>     
>
> Could you try to reproduce this with a current 2.6.28-rcX release
> from kernel.org? You can find the .config file from the current Debian
> kernels under /boot
>
> If the problem still persists, could you file a bug at
> bugzilla.kernel.org?
>   

Bug #12436 filed at bugzilla.kernel.org.

-jeff
> Cheers,
>         Moritz
>
>
>   




Noted your statement that Bug has been forwarded to http://bugzilla.kernel.org/show_bug.cgi?id=12436. Request was from Moritz Muehlenhoff <jmm@debian.org> to control@bugs.debian.org. (Thu, 12 Feb 2009 22:18:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#490694; Package linux-2.6. (Fri, 03 Jul 2009 23:12:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 03 Jul 2009 23:12:03 GMT) Full text and rfc822 format available.

Message #48 received at 490694@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: "Jeffrey B. Green" <jeff@kikisoso.org>
Cc: 490694@bugs.debian.org
Subject: Re: Stuck back at 2.6.24
Date: Sat, 04 Jul 2009 00:10:37 +0100
[Message part 1 (text/plain, inline)]
There was a change to PowerPC PCI setup between 2.6.24 and .25 which
might conceivably have caused this bug.  The attached patch against
Linux 2.6.26 as packaged in "lenny" is intended to revert that change,
so that we can establish whether that is the case.  As I said, I am
unable to test this myself.

See <http://wiki.debian.org/HowToRebuildAnOfficialDebianKernelPackage>
for instructions on applying this to the kernel package.

Ben.

-- 
Ben Hutchings
When you say `I wrote a program that crashed Windows', people just stare ...
and say `Hey, I got those with the system, *for free*'. - Linus Torvalds
[linux-2.6-490694-try.patch (text/x-patch, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#490694; Package linux-2.6. (Sun, 05 Jul 2009 13:06:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Jeffrey B. Green" <jeff@kikisoso.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 05 Jul 2009 13:06:02 GMT) Full text and rfc822 format available.

Message #53 received at 490694@bugs.debian.org (full text, mbox):

From: "Jeffrey B. Green" <jeff@kikisoso.org>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: 490694@bugs.debian.org
Subject: Re: Stuck back at 2.6.24
Date: Sun, 05 Jul 2009 09:03:43 -0400
Thanks Ben. I'll try to get a kernel build in within the next few days
and report back on it.

-jeff

Ben Hutchings wrote:
> There was a change to PowerPC PCI setup between 2.6.24 and .25 which
> might conceivably have caused this bug.  The attached patch against
> Linux 2.6.26 as packaged in "lenny" is intended to revert that change,
> so that we can establish whether that is the case.  As I said, I am
> unable to test this myself.
>
> See <http://wiki.debian.org/HowToRebuildAnOfficialDebianKernelPackage>
> for instructions on applying this to the kernel package.
>
> Ben.
>
>   




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#490694; Package linux-2.6. (Mon, 06 Jul 2009 19:24:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Jeffrey B. Green" <jeff@kikisoso.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 06 Jul 2009 19:24:10 GMT) Full text and rfc822 format available.

Message #58 received at 490694@bugs.debian.org (full text, mbox):

From: "Jeffrey B. Green" <jeff@kikisoso.org>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: 490694@bugs.debian.org
Subject: Re: Stuck back at 2.6.24
Date: Mon, 06 Jul 2009 15:14:36 -0400
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Ben,

Ben Hutchings wrote:
> There was a change to PowerPC PCI setup between 2.6.24 and .25 which
> might conceivably have caused this bug.  The attached patch against
> Linux 2.6.26 as packaged in "lenny" is intended to revert that change,
> so that we can establish whether that is the case.  As I said, I am
> unable to test this myself.
> 
> See <http://wiki.debian.org/HowToRebuildAnOfficialDebianKernelPackage>
> for instructions on applying this to the kernel package.

It didn't work. It still dies at the "same" place. I did check the build
directory code to see that the patch was applied and it was. I applied
the patch at the end of series 13. (FYI: Also the patch file itself
needed to be fixed for the Debian build. The file diff references were
right.) Let me know if you have any other ideas, I'm willing to build
again though one should note that the build takes quite awhile on my
350MHz pmac.

- -jeff
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org

iEYEARECAAYFAkpSTRsACgkQMfiP4rwHDZxYngCcDGuNLaus32Jl8PlYhP370CmX
D5IAn1m9lV1yMdKC4ZEpqEjOchlpJ563
=l7iN
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#490694; Package linux-2.6. (Sun, 16 Aug 2009 15:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Jeffrey B. Green" <jeff@kikisoso.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 16 Aug 2009 15:09:03 GMT) Full text and rfc822 format available.

Message #63 received at 490694@bugs.debian.org (full text, mbox):

From: "Jeffrey B. Green" <jeff@kikisoso.org>
To: 490694@bugs.debian.org
Subject: Invalid ROM signature??
Date: Sun, 16 Aug 2009 11:07:45 -0400
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Hi,

I was able to get my hands on another powermac, approximately the same
vintage, to experiment with and discovered that a (locally built) 2.6.25
kernel will boot on it (which is doesn't on my machine, with the oops
assoc with this bug). However it does have in its dmesg at the (bug)
corresponding point, the following,:

aty128fb: Invalid ROM signature 1111 should  be 0xaa55
aty128fb: BIOS not located, guessing timings.

Sooooo, although it is a different machine, possibly are some memory
conflicts/bad_data associated with the aty128fb driver causing the oops?

Additionally, the PCI device being probed at that point is the agp card,
e.g.

0001:11:04.0 VGA compatible controller: ATI Technologies Inc Rage 128 RE/SG

A locally built 2.6.24.7 kernel works just fine.

- -jeff
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org

iEYEARECAAYFAkqIIMEACgkQMfiP4rwHDZyeQwCfcjp/aHqtemTBzq++9+hYlh9p
ACoAmQGMyieWqtGlpBphmkbhwwmj3Gkg
=fyKp
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#490694; Package linux-2.6. (Sun, 16 Aug 2009 18:30:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Jeffrey B. Green" <jeff@kikisoso.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 16 Aug 2009 18:30:03 GMT) Full text and rfc822 format available.

Message #68 received at 490694@bugs.debian.org (full text, mbox):

From: "Jeffrey B. Green" <jeff@kikisoso.org>
To: 490694@bugs.debian.org
Subject: Extra video card seems to be the problem
Date: Sun, 16 Aug 2009 14:26:42 -0400
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Hi,

After doing a "lspci -vt" and noticing the extra video card that I've
not used for years, i.e. forgot totally about it, I tried the 2.6.25
kernel with the extra video card removed (0001:11:04.0). It booted just
fine.

Then I installed the recent 2.6.26-2 kernel and it booted okay too.

FYI: the output of the "lspci -vt" with both cards installed is:

- -+-[0002:21]-+-0b.0  Apple Computer Inc. UniNorth Internal PCI
 |           \-0f.0  Apple Computer Inc. UniNorth GMAC (Sun GEM)
 +-[0001:10]-+-0b.0  Apple Computer Inc. UniNorth PCI
 |           \-0d.0-[0001:11]--+-02.0  Adaptec AHA-7850
 |                             +-04.0  ATI Technologies Inc Rage 128 RE/SG
 |                             +-07.0  Apple Computer Inc. KeyLargo Mac I/O
 |                             +-08.0  Apple Computer Inc. KeyLargo USB
 |                             +-09.0  Apple Computer Inc. KeyLargo USB
 |                             \-0a.0  Texas Instruments TSB12LV23
IEEE-1394 Controller
 \-[0000:00]-+-0b.0  Apple Computer Inc. UniNorth AGP
             \-10.0  ATI Technologies Inc Rage 128 PF/PRO AGP 4x TMDS

Let me know what info is needed to fix this problem.

- -jeff

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org

iEYEARECAAYFAkqIT2IACgkQMfiP4rwHDZw5RwCaA+dDNjoj53g/Y92o8nIkiqzG
s3IAn37/nmJvNBFniBmzuEu8VSP27W+y
=4BxU
-----END PGP SIGNATURE-----




Forcibly Merged 490694 508374. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Tue, 31 May 2011 04:03:05 GMT) Full text and rfc822 format available.

Added tag(s) upstream. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Tue, 31 May 2011 04:06:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#490694; Package linux-2.6. (Wed, 15 Feb 2012 23:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 15 Feb 2012 23:39:03 GMT) Full text and rfc822 format available.

Message #77 received at 490694@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: "Jeffrey B. Green" <jeff@kikisoso.org>
Cc: 490694@bugs.debian.org
Subject: Re: Extra video card seems to be the problem
Date: Wed, 15 Feb 2012 17:34:28 -0600
tags 490694 + moreinfo
quit

Hi Jeff,

Jeffrey B. Green wrote:

> After doing a "lspci -vt" and noticing the extra video card that I've
> not used for years, i.e. forgot totally about it, I tried the 2.6.25
> kernel with the extra video card removed (0001:11:04.0). It booted just
> fine.

Thanks for the detective work.

Are you still interested in pursuing this?  No promises, but if this
is still reproducible with current (3.x.y) kernels, someone at
linuxppc-dev@lists.ozlabs.org might be able to give some hints.  I'd
suggest coordinating work at [1] so it's easy for interested parties
to track.

If you do not have access to this hardware or are no longer interested
in pursuing this for some other reason, that's fine too, but please
let us know so we can stop tracking it.

Thanks,
Jonathan

[1] https://bugzilla.kernel.org/show_bug.cgi?id=12436




Added tag(s) moreinfo. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Wed, 15 Feb 2012 23:39:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#490694; Package linux-2.6. (Thu, 16 Feb 2012 16:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jeffrey Green <atallj@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 16 Feb 2012 16:00:04 GMT) Full text and rfc822 format available.

Message #84 received at 490694@bugs.debian.org (full text, mbox):

From: Jeffrey Green <atallj@gmail.com>
To: Jonathan Nieder <jrnieder@gmail.com>
Cc: 490694@bugs.debian.org
Subject: Re: Extra video card seems to be the problem
Date: Thu, 16 Feb 2012 09:53:44 -0500
Hi Jonathan,

I have a yes and no answer for you. Yes, I'm not sure whether the problem still exists and
consequently am assuming it does. And no since unfortunately my powermac is not hooked up 
right now and cannot easily be set up since I'm without monitor for the time being. I'm living 
from a laptop at the moment. If I could get my hands on a monitor, then I'd be willing to set it
up (and track down my extra graphics card that I had removed from the system to get it to work).

One little piece of into that I'm not sure I gave previously is that I think this problem, or a very similar one,
appeared in the circa 2002 time frame. At that point I had Yellow Dog or Mandrake (I would switch between
the two) installed on it. At some point, it broke similarly and my solution was a custom build of the kernel 
where I had gone in and reordered the graphics card "attempts", i.e. probes. (iirc) It was along the lines of the graphics
card (whick seems odd) rather than the PCI bus. That is odd enough to suspect my memory has become 
fouled with age, but anyway that's the way I remember it. One fact is, it did break, it was graphics card 
related, and modifying the kermel "fixed" it.

So, I'm not sure if I've helped in terrms of what to do with this bug (at this moment). If you'd really like
to get to the bottom of the issue, then I might (just might) be able to track a monitor down for some 
testing purposes.

regards,
-jeff

On Feb 15, 2012, at 6:34 PM, Jonathan Nieder wrote:

> tags 490694 + moreinfo
> quit
> 
> Hi Jeff,
> 
> Jeffrey B. Green wrote:
> 
>> After doing a "lspci -vt" and noticing the extra video card that I've
>> not used for years, i.e. forgot totally about it, I tried the 2.6.25
>> kernel with the extra video card removed (0001:11:04.0). It booted just
>> fine.
> 
> Thanks for the detective work.
> 
> Are you still interested in pursuing this?  No promises, but if this
> is still reproducible with current (3.x.y) kernels, someone at
> linuxppc-dev@lists.ozlabs.org might be able to give some hints.  I'd
> suggest coordinating work at [1] so it's easy for interested parties
> to track.
> 
> If you do not have access to this hardware or are no longer interested
> in pursuing this for some other reason, that's fine too, but please
> let us know so we can stop tracking it.
> 
> Thanks,
> Jonathan
> 
> [1] https://bugzilla.kernel.org/show_bug.cgi?id=12436





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#490694; Package linux-2.6. (Thu, 16 Feb 2012 17:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 16 Feb 2012 17:48:04 GMT) Full text and rfc822 format available.

Message #89 received at 490694@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Jeffrey Green <atallj@gmail.com>
Cc: 490694@bugs.debian.org
Subject: Re: Extra video card seems to be the problem
Date: Thu, 16 Feb 2012 11:37:14 -0600
severity 490694 normal
quit

Jeffrey Green wrote:

> I have a yes and no answer for you. Yes, I'm not sure whether the
> problem still exists and consequently am assuming it does. And no
> since unfortunately my powermac is not hooked up right now and
> cannot easily be set up since I'm without monitor for the time
> being. I'm living from a laptop at the moment. If I could get my
> hands on a monitor, then I'd be willing to set it up (and track down
> my extra graphics card that I had removed from the system to get it
> to work).

Hm, thanks.

> One little piece of into that I'm not sure I gave previously is that
> I think this problem, or a very similar one, appeared in the circa
> 2002 time frame.

Oh, that's interesting.

[...]
> One fact is, it did break, it was graphics card related, and
> modifying the kermel "fixed" it.

Was your fix applied upstream, or was it a local workaround?

[...]
> So, I'm not sure if I've helped in terrms of what to do with this
> bug (at this moment). If you'd really like to get to the bottom of
> the issue, then I might (just might) be able to track a monitor down
> for some testing purposes.

It's up to you.  I'd certainly like to get to the bottom of crashy
bugs like this to make the behavior of the kernel more predictable and
change the slope of the following graph:

  http://qa.debian.org/data/bts/graphs/l/linux-2.6.png

but ultimately, you would be doing the work of testing patches if
upstream comes up with any.  If you don't want to pursue this, one
possibility might be to document what we know somewhere under
Documentation/powerpc/ and forget about it until the next person hits
this.

Thanks,
Jonathan




Severity set to 'normal' from 'important' Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Thu, 16 Feb 2012 17:48:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#490694; Package linux-2.6. (Mon, 20 Feb 2012 20:15:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 20 Feb 2012 20:15:14 GMT) Full text and rfc822 format available.

Message #96 received at 490694@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: 490694@bugs.debian.org
Subject: [atallj@gmail.com: Re: Extra video card seems to be the problem]
Date: Mon, 20 Feb 2012 14:13:35 -0600
[Message part 1 (text/plain, inline)]
Forwarding with permission.
[Message part 2 (message/rfc822, inline)]
From: Jeffrey Green <atallj@gmail.com>
To: Jonathan Nieder <jrnieder@gmail.com>
Subject: Re: Extra video card seems to be the problem
Date: Sat, 18 Feb 2012 15:51:14 -0500
Jonathan,

I'm doing this msg off-list since it is mainly a FYI type of thing. The monitor that I was thinking might be available is
however not available, and I'll need to buy one if I'm going to get my powermac up and running. I might do that but I'll need 
to shop around first. Let me know if this drags on too long for you.

-jeff

On Feb 16, 2012, at 12:37 PM, Jonathan Nieder wrote:

> severity 490694 normal
> quit
> 
> Jeffrey Green wrote:
> 
>> I have a yes and no answer for you. Yes, I'm not sure whether the
>> problem still exists and consequently am assuming it does. And no
>> since unfortunately my powermac is not hooked up right now and
>> cannot easily be set up since I'm without monitor for the time
>> being. I'm living from a laptop at the moment. If I could get my
>> hands on a monitor, then I'd be willing to set it up (and track down
>> my extra graphics card that I had removed from the system to get it
>> to work).
> 
> Hm, thanks.
> 
>> One little piece of into that I'm not sure I gave previously is that
>> I think this problem, or a very similar one, appeared in the circa
>> 2002 time frame.
> 
> Oh, that's interesting.
> 
> [...]
>> One fact is, it did break, it was graphics card related, and
>> modifying the kermel "fixed" it.
> 
> Was your fix applied upstream, or was it a local workaround?
> 
> [...]
>> So, I'm not sure if I've helped in terrms of what to do with this
>> bug (at this moment). If you'd really like to get to the bottom of
>> the issue, then I might (just might) be able to track a monitor down
>> for some testing purposes.
> 
> It's up to you.  I'd certainly like to get to the bottom of crashy
> bugs like this to make the behavior of the kernel more predictable and
> change the slope of the following graph:
> 
>  http://qa.debian.org/data/bts/graphs/l/linux-2.6.png
> 
> but ultimately, you would be doing the work of testing patches if
> upstream comes up with any.  If you don't want to pursue this, one
> possibility might be to document what we know somewhere under
> Documentation/powerpc/ and forget about it until the next person hits
> this.
> 
> Thanks,
> Jonathan


Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#490694; Package linux-2.6. (Mon, 20 Feb 2012 20:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 20 Feb 2012 20:24:03 GMT) Full text and rfc822 format available.

Message #101 received at 490694@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Jeffrey Green <atallj@gmail.com>
Cc: 490694@bugs.debian.org
Subject: Re: Extra video card seems to be the problem
Date: Mon, 20 Feb 2012 14:21:24 -0600
tags 490694 - moreinfo
found 490694 linux-2.6/2.6.25-6
found 490694 linux-2.6/2.6.26-11
tags 490694 + upstream
# 2.6.29-rc1, but close enough
found 490694 linux-2.6/2.6.28-1
quit

Jeffrey Green wrote:
>>> On Feb 16, 2012, at 12:37 PM, Jonathan Nieder wrote:
>>>> Jeffrey Green wrote:

>>>>> One fact is, it did break, it was graphics card related, and
>>>>> modifying the kermel "fixed" it.
>>>>
>>>> Was your fix applied upstream, or was it a local workaround?
[...]
> Nope. It was purely local at that point. I was still exploring linux
> at that point (when I had the time), Somewhere around Jan of 2000
> was my first connection. Lots of Unix experience but no linux.
> Consequently, I wasn't really plugged into all of the various
> developer mechanisms that existed. I should have known about them
> but either didn't have the time or inclination (or some combo of
> both) to work my way through the muck.
>
> I'm such a pack rat that I could probably track down a vestige of
> those kernels although the times when I needed to do mass hard disk
> transfers or rebuilds may foil me in that attempt.

If you do remember anything about that patch, it could certainly be an
interesting clue.

Anyway, I'll send any further questions to the upstream report[1].
It will be nice if we can figure this one out.

Thanks for the quick feedback.
Jonathan

[1] https://bugzilla.kernel.org/show_bug.cgi?id=12436




Removed tag(s) moreinfo. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Mon, 20 Feb 2012 20:24:05 GMT) Full text and rfc822 format available.

Bug Marked as found in versions linux-2.6/2.6.25-6. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Mon, 20 Feb 2012 20:24:06 GMT) Full text and rfc822 format available.

Bug Marked as found in versions linux-2.6/2.6.26-11. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Mon, 20 Feb 2012 20:24:07 GMT) Full text and rfc822 format available.

Bug Marked as found in versions linux-2.6/2.6.28-1. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Mon, 20 Feb 2012 20:24:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#490694; Package linux-2.6. (Sat, 25 Feb 2012 01:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Jeffrey B. Green" <atallj@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 25 Feb 2012 01:12:03 GMT) Full text and rfc822 format available.

Message #114 received at 490694@bugs.debian.org (full text, mbox):

From: "Jeffrey B. Green" <atallj@gmail.com>
To: Jonathan Nieder <jrnieder@gmail.com>
Cc: 490694@bugs.debian.org
Subject: Re: Extra video card seems to be the problem
Date: Fri, 24 Feb 2012 20:03:33 -0500
On Mon, 20 Feb 2012 14:21:24 -0600
Jonathan Nieder <jrnieder@gmail.com> wrote:

> 
> Anyway, I'll send any further questions to the upstream report[1].
> It will be nice if we can figure this one out.
> 

Well, I got a new flat-screen and hook it up, and it seems to work with
both cards in the machine.

Here are the particulars:

% uname -a
Linux naro 2.6.32-5-powerpc #1 Mon Jan 16 16:36:52 UTC 2012 ppc
GNU/Linux

% lspci -tv
-+-[0002:21]-+-0b.0  Apple Computer Inc. UniNorth Internal PCI
 |           \-0f.0  Apple Computer Inc. UniNorth GMAC (Sun GEM)
 +-[0001:10]-+-0b.0  Apple Computer Inc. UniNorth PCI
 |           \-0d.0-[11]--+-02.0  Adaptec AIC-7850
 |                        +-04.0  ATI Technologies Inc Rage 128 RE/SG
 |                        +-07.0  Apple Computer Inc. KeyLargo Mac I/O
 |                        +-08.0  Apple Computer Inc. KeyLargo USB
 |                        +-09.0  Apple Computer Inc. KeyLargo USB
 |                        \-0a.0  Texas Instruments TSB12LV23 IEEE-1394
Controller \-[0000:00]-+-0b.0  Apple Computer Inc. UniNorth AGP
             \-10.0  ATI Technologies Inc Rage 128 PF/PRO AGP 4x TMDS

So far nothing has shown up regarding the earlier fix I did to get the
2.2 or maybe 2.4 kernel to work when I had a similar problem with it.
I'll keep looking.

Let me know if you want to try anything.

-jeff




Reply sent to Jonathan Nieder <jrnieder@gmail.com>:
You have taken responsibility. (Fri, 02 Mar 2012 18:06:03 GMT) Full text and rfc822 format available.

Notification sent to jeff@kikisoso.org:
Bug acknowledged by developer. (Fri, 02 Mar 2012 18:06:03 GMT) Full text and rfc822 format available.

Message #119 received at 490694-done@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: "Jeffrey B. Green" <atallj@gmail.com>
Cc: 490694-done@bugs.debian.org
Subject: Re: Extra video card seems to be the problem
Date: Fri, 2 Mar 2012 12:02:03 -0600
Version: 2.6.32-41

Jeffrey B. Green wrote:

> Well, I got a new flat-screen and hook it up, and it seems to work with
> both cards in the machine.

Therefore closing.  A part of me is curious about which patch exactly
fixed it, but not curious enough to waste your time finding it. ;-)
Thanks for your help.




Reply sent to Jonathan Nieder <jrnieder@gmail.com>:
You have taken responsibility. (Fri, 02 Mar 2012 18:06:04 GMT) Full text and rfc822 format available.

Notification sent to jeff@kikisoso.org:
Bug acknowledged by developer. (Fri, 02 Mar 2012 18:06:04 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 09 Jul 2012 07:49:37 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 13:34:36 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.